Get schema files

Deprecated
View as Markdown

Gets the files in an API schema. You can use the versionId query parameter to get schema files published in an API version.

Note:

The versionId query parameter is a required parameter for API viewers.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

apiIdstringRequired
The API's ID.
schemaIdstringRequired
The API schema's ID.

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Query parameters

versionIdstringOptional
The API's version ID. This is a required parameter for API viewers.
limitintegerOptionalDefaults to 10
The maximum number of rows to return in the response.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

Response

Successful Response
metaobject

The schema’s non-standard meta information.

fileslist of objects
A list of the schema's files.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error